package com.diagbot.dto;


import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @description: 图谱关系内容
 * @author: Mark
 * @time: 2020/8/27 18:34
 */
@Data
public class NeoRelationDTO {

    // 起始实体名称
    private String startname;

    // 起始实体标签
    private String startlabel;

    // 关系名称
    private String relname;

    // 关系属性
    private Map<String, String> property = new HashMap<>();

    // 终点实体名称
    private String endname;

    // 终点实体标签
    private String endlabel;

    // 返回信息
    private String msg;
}
