package com.diagbot.dto;


import lombok.Data;

import java.math.BigDecimal;

@Data
public class NodeNeoDTO {

    // 最小值
    private BigDecimal min;

    // 最大值
    private BigDecimal max;

    // 单位
    private String unit;

    // 结果
    private String val;

    // 名称
    private String name;

    // 正则规则
    private String regex;

    // 类型
    private String termtype;

    // 取值类型(0：正常取区间，1：取两头)
    private Integer valType = 0;

    // 匹配方式 0：精确匹配，1：包含匹配
    private int exactMatch = 0;
}
