package com.diagbot.dto;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @description: 辅检开单合理性图谱数据
 * @author: Mark
 * @time: 2020/7/29 9:57
 */
@Data
public class PacsBillNeoDTO {
    // 禁忌性别
    private NodeNeoDTO gender;

    // 禁忌年龄
    private NodeNeoDTO ageNeoDTO;

    // 临床表现
    private List<NodeNeoDTO> clinicfindings = new ArrayList<>();

    // 体征
    private List<NodeNeoDTO> vitals = new ArrayList<>();

    // 禁忌服用药品
    private List<NodeNeoDTO> oralmeds = new ArrayList<>();

    // 禁忌过敏药品
    private List<NodeNeoDTO> allergicmeds = new ArrayList<>();

    // 禁忌手术
    private List<NodeNeoDTO> operations = new ArrayList<>();

    // 禁忌禁忌医疗器械及物品
    private List<NodeNeoDTO> meddevice = new ArrayList<>();

    // 禁忌实验室检查
    private List<NodeNeoDTO> lis = new ArrayList<>();

    // 禁忌辅助检查
    private List<NodeNeoDTO> pacs = new ArrayList<>();

    // 互斥开单辅助检查
    private List<NodeNeoDTO> pacsOrder = new ArrayList<>();

    // 禁忌疾病
    private List<NodeNeoDTO> disease = new ArrayList<>();

    // 禁用人群
    private List<NodeNeoDTO> group = new ArrayList<>();

    // 禁用辅助检查描述
    private List<NodeNeoDTO> pacsDesc = new ArrayList<>();

    // 无需重复辅检开单项
    private List<NodeNeoDTO> needlessPacsOrder = new ArrayList<>();

}
