package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.KlConceptStaticDTO;
import com.diagbot.entity.KlConceptStatic;
import com.diagbot.vo.KlConceptStaticPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 静态知识标准术语表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlConceptStaticService extends IService<KlConceptStatic> {

    IPage<KlConceptStaticDTO> getPage(@Param("klConceptStaticPageVO") KlConceptStaticPageVO klConceptStaticPageVO);
}
