package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.IndexDTO;
import com.diagbot.dto.StaticKnowledgeIndexDTO;
import com.diagbot.entity.KlConcept;
import com.diagbot.mapper.KlConceptMapper;
import com.diagbot.service.KlConceptService;
import com.diagbot.vo.MedRetrievalVO;
import com.diagbot.vo.StaticKnowledgeIndexVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 概念表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
@Service
public class KlConceptServiceImpl extends ServiceImpl<KlConceptMapper, KlConcept> implements KlConceptService {

    public List<IndexDTO> index(MedRetrievalVO medRetrievalVO) {
        return baseMapper.index(medRetrievalVO);
    }

    public List<StaticKnowledgeIndexDTO> staticIndex(StaticKnowledgeIndexVO staticKnowledgeIndexVO) {
        return baseMapper.staticIndex(staticKnowledgeIndexVO);
    }
}
