package com.diagbot.vo;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description: 图谱修改入参
 * @Author:Mark
 * @time: 2020/8/28 9:34
 */
@Data
public class NeoRelationVO {
    // 操作用户
    private String user;
    // 节点ID
    private Long ID;
    // 起始节点标签
    private String startlabel;
    // 起始节点名称
    private String startname;
    // 关系名称
    private String relname;
    // 终点节点标签
    private String endabel;
    // 终点节点名称
    private String endname;
    // 关系更新属性
    private Map<String, String> property = new HashMap<>();

}
