package com.diagbot.dto;


import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @description: 图谱实体内容
 * @author: Mark
 * @time: 2020/8/27 18:34
 */
@Data
public class NeoEntityDTO {

    // 实体名称
    private String name;

    // 实体标签
    private List<String> labels = new ArrayList<>();

    // 实体属性
    private Map<String, String> property = new HashMap<>();

    // 实体属性列表
    private List<Map<String, Object>> nodes = new ArrayList<>();

    // 返回信息
    private String msg;
}
