package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * @Description: 推理出参
 * @author: gaodm
 * @time: 2020/8/6 9:54
 */
@Getter
@Setter
public class PushDTO {
    //症状
    private List<PushBaseDTO> symptom;
    //体格检查
    private List<PushBaseDTO> vital;
    //检验
    private List<PushBaseDTO> lis;
    //检查
    private List<PushBaseDTO> pacs;
    // 手术
    private List<PushBaseDTO> operations;
    // 药品
    private List<PushBaseDTO> medicines;
    // 并发症
    private List<PushBaseDTO> complications;
    //诊断
    private Map<String, List<PushBaseDTO>> dis;
    //一般治疗
    private List<TreatDTO> treat;

    // 记录调试信息
    private Map<String, Object> debug;
}
