package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.IndexDTO;
import com.diagbot.dto.StaticKnowledgeIndexDTO;
import com.diagbot.entity.KlConcept;
import com.diagbot.vo.MedRetrievalVO;
import com.diagbot.vo.StaticKnowledgeIndexVO;

import java.util.List;

/**
 * <p>
 * 概念表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlConceptMapper extends BaseMapper<KlConcept> {

    List<IndexDTO> index(MedRetrievalVO medRetrievalVO);

    List<StaticKnowledgeIndexDTO> staticIndex(StaticKnowledgeIndexVO staticKnowledgeIndexVO);
}
