package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.KlConceptStaticDTO;
import com.diagbot.entity.KlConceptStatic;
import com.diagbot.mapper.KlConceptStaticMapper;
import com.diagbot.service.KlConceptStaticService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.KlConceptStaticPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 静态知识标准术语表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
@Service
public class KlConceptStaticServiceImpl extends ServiceImpl<KlConceptStaticMapper, KlConceptStatic> implements KlConceptStaticService {

    public IPage<KlConceptStaticDTO> getPage(@Param("klConceptStaticPageVO") KlConceptStaticPageVO klConceptStaticPageVO) {
        return baseMapper.getPage(klConceptStaticPageVO);
    }
}
