package com.diagbot.util;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Set;

public class GenericNode<T> {

    public List<Map<String, Object>> fillNodeTree(List<?> nodelist) {
        List<Map<String, Object>> baseNodes = new ArrayList<>();
        Map<String, Object> node;

        for (Object nd : nodelist) {
            node = BeanMapUtils.beanToMap(nd);

            baseNodes.add(node);
        }

        return baseNodes;
    }


    public static List<Map<String, Object>> removeRelation(List<Map<String, Object>> nodes) {
        List<String> rmkeys = new ArrayList<>();
        try {
            for (String key : nodes.get(0).keySet()) {
                if (nodes.get(0).get(key) instanceof Set) {
                    rmkeys.add(key);
                }
            }

            for (Map<String, Object> node : nodes) {
                for (String key : rmkeys) {
                    node.remove(key);
                }
            }
        }
        catch (Exception ex) {
            ex.printStackTrace();
        }
        finally {
            return nodes;
        }
    }
}
